# Class CIM_DiagnosticResultForTest

This class is being deprecated as part of the deprecation of the DiagnosticResult class. This is an association class to relate the results of a test to the test itself.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_DiagnosticResultForTest

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | This class is being deprecated as part of the deprecation of the DiagnosticResult class. This is an association class to relate the results of a test to the test itself.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.9.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
DiagnosticResult | CIM_DiagnosticResultForTest | CIM_DiagnosticResult
DiagnosticTest | CIM_DiagnosticResultForTest | CIM_DiagnosticTest

## Class Methods